*:after,
*:before,
* {
  box-sizing: border-box;
}
$xs-breakpoint: 480px;
$sm-breakpoint: 768px;
$lg-breakpoint: 1200px;
$vm-text-color: #fff;

[data-video] {
  cursor: pointer;
}

.video-modal {
  background: rgba(61, 63, 63,0.6);
  display: block;
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  z-index: 11000;
  opacity: 0;
  overflow: scroll;
  transition: 0.5s linear;
  .video-wrapper {
    background: rgba(0,0,0,0.65);
    position: absolute;
    width: 50%;
    height: auto;
    top: 20%;
    right: 25%;
    margin: 20px 0;
    @media (max-width: 1600px) {
      width: 60%;
      right: 20%;
    }
    @media (max-width: $lg-breakpoint) {
      width: 80%;
      right: 10%;
    }
    @media (max-width: $sm-breakpoint) {
      width: 96%;
      right: 2%;
    }
  }
  .video-container{
    display: block;
    position: relative;
    iframe {
      display: block;
      position: absolute;
      top: 0;
      left: 0;
      width: 100% !important;
      height: 100% !important;
    }
  }
  .video-close {
    display: inline-block;
    color: $vm-text-color;
    position: absolute;
    top: -25px;
    right: 0px;
    letter-spacing: 0.5px;
    cursor: pointer;
  }
  em {
    display: block;
    color: $vm-text-color;
    text-align: center;
    font-weight: 300;
    padding: 5px 15px;
    font-size: 12px;
    margin: 0;
    text-align: center;
  }
}

.video-list {
  display: block;
  width: 100%;
  max-width: 750px;
  padding: 0 0 15px;
  margin: 0 auto;
  &__item {
    width: 100%;
    padding: 15px;
    &:last-of-type {
      padding-bottom: 0;
    }
    &:only-child {
      padding-bottom: 0;
    }
    &:after {
      content: '';
      display: block;
      clear: both;
    }
  }
  .img-container {
    width: 35%;
    padding: 0 15px;
    text-align: right;
    float: left;
    position: relative;
    @media (max-width: $sm-breakpoint) {
      padding-left: 0;
    }
    @media (max-width: $xs-breakpoint) {
      width: 100%;
      display: block;
      padding: 0;
      text-align: center;
    }
    &:hover:before {
      background: rgba(84, 187, 255, 1);
    }
    &:after {
      display: block;
      content: '';
      height: 0;
      width: 0;
      border-top: 15px solid transparent;
      border-bottom: 15px solid transparent;
      border-left: 25px solid #fff;
      font-size: 42px;
      color: $vm-text-color;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      text-align: center;
    }
    &:before {
      content: '';
      display: block;
      width: 60px;
      height: 60px;
      border-radius: 50%;
      background: rgba(84, 187, 255, 0.8);
      position: absolute;
      top: calc(50% - 30px);
      left: calc(50% - 35px);
      transition: 0.2s linear;
      @media (max-width: $sm-breakpoint) {
        width: 54px;
        height: 54px;
        top: calc(50% - 24px);
        left: calc(50% - 31px);
      }
    }
  }
  .text-container {
    width: 65%;
    padding: 0 15px;
    float: right;
    @media (max-width: $sm-breakpoint) {
      padding-right: 0;
    }
    @media (max-width: $xs-breakpoint) {
      display: block;
      width: 100%;
      margin: 0 auto;
      padding: 0;
      text-align: center;
    }
  }
  img {
    border-radius: 2px;
    display: inline-block;
    width: 100%;
    margin: 0;
    @media (max-width: $xs-breakpoint) {
      max-width: 180px;
    }
  }
  h3 {
    color: $vm-text-color;
    margin-top: 10px;
  }
  p {
    color: $vm-text-color;
  }
}

.video-modal-active {
  height: 100%;
  overflow: hidden;
  .video-modal {
    opacity: 1;
    .video-container {

    }
  }
}
